# Reverse IP

GET /discovery/reverse-ip: Finds domains that resolve to ip, or to its network when mask is 8, 16 or 24.

Source: https://docs.deepinfo.com/reference/discovery/reverse-ip/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/discovery/reverse-ip`

Finds domains that resolve to `ip`, or to its network when `mask` is 8, 16 or 24.

## Authentication

Send your API key in the `apikey` request header.

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `ip` | Required |  | `104.26.10.21` |
| `page_size` | Optional | Min `25`, max `100`. Default `100`. | `25` |
| `ordering` | Optional |  |  |
| `export` | Optional | Default `false`. |  |
| `export_format` | Optional | One of: `json`, `csv`. |  |
| `export_scope` | Optional | One of: `basic`, `default`, `extended`. |  |
| `mask` | Optional | One of: `8`, `16`, `24`, `32`. |  |
| `include_subdomains` | Optional | Default `false`. |  |
| `page` | Optional | Min `1`, max `400`. Default `1`. | `1` |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `page` | integer |  |
| `page_size` | integer |  |
| `result_count` | integer |  |
| `results` | array of object |  |
| `results[].punycode` | string |  |
| `results[].unicode` | string |  |
| `results[].is_idn` | boolean |  |
| `results[].subdomain` | object |  |
| `results[].subdomain_last` | object |  |
| `results[].subdomain_root` | object |  |
| `results[].name` | object |  |
| `results[].domain` | object |  |
| `results[].type` | integer |  |
| `results[].subdomain_level_count` | integer |  |
| `results[].dns` | object |  |
| `results[].dns_last_change_date` | string | date-time |
| `results[].ip_history` | array of string |  |
| `results[].ssl` | object |  |
| `results[].ssl_last_change_date` | string | date-time |
| `results[].webdata` | object |  |

Paginated. See [Getting Started → Pagination](/getting-started/pagination/).

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `page` | number |
| `page_size` | number |
| `result_count` | number |
| `results` | array<object> |
| `results[].punycode` | string |
| `results[].unicode` | string |
| `results[].is_idn` | boolean |
| `results[].subdomain` | null |
| `results[].subdomain_last` | null |
| `results[].subdomain_root` | null |
| `results[].name` | object |
| `results[].name.punycode` | string |
| `results[].name.unicode` | string |
| `results[].name.is_idn` | boolean |
| `results[].name.contains_letter` | boolean |
| `results[].name.contains_number` | boolean |
| `results[].name.contains_hyphen` | boolean |
| `results[].name.length` | number |
| `results[].name.lang` | string |
| `results[].name.keywords` | array<string> |
| `results[].name.keyword_count` | number |
| `results[].name.latinized` | array |
| `results[].name.contains_confusable` | boolean |
| `results[].domain` | object |
| `results[].domain.punycode` | string |
| `results[].domain.unicode` | string |
| `results[].domain.is_idn` | boolean |
| `results[].domain.name` | object |
| `results[].domain.name.punycode` | string |
| `results[].domain.name.unicode` | string |
| `results[].domain.name.is_idn` | boolean |
| `results[].domain.name.contains_letter` | boolean |
| `results[].domain.name.contains_number` | boolean |
| `results[].domain.name.contains_hyphen` | boolean |
| `results[].domain.name.length` | number |
| `results[].domain.name.lang` | string |
| `results[].domain.name.keywords` | array<string> |
| `results[].domain.name.keyword_count` | number |
| `results[].domain.extension` | object |
| `results[].domain.extension.punycode` | string |
| `results[].domain.extension.unicode` | string |
| `results[].domain.extension.is_idn` | boolean |
| `results[].domain.extension_root` | object |
| `results[].domain.extension_root.punycode` | string |
| `results[].domain.extension_root.unicode` | string |
| `results[].domain.extension_root.is_idn` | boolean |
| `results[].domain.extension_sub` | null |
| `results[].domain.extension_type` | number |
| `results[].domain.reserved` | null |
| `results[].domain.premium` | null |
| `results[].domain.registered` | boolean |
| `results[].domain.whois` | object |
| `results[].domain.whois.create_date` | string |
| `results[].domain.whois.update_date` | string |
| `results[].domain.whois.expiry_date` | string \| null |
| `results[].domain.whois.registrar` | string \| null |
| `results[].domain.whois.registrant` | object |
| `results[].domain.whois.registrant.name` | null |
| `results[].domain.whois.registrant.organization` | null |
| `results[].domain.whois.registrant.street` | null |
| `results[].domain.whois.registrant.city` | null |
| `results[].domain.whois.registrant.state` | null |
| `results[].domain.whois.registrant.postal_code` | null |
| `results[].domain.whois.registrant.country` | null |
| `results[].domain.whois.registrant.phone` | null |
| `results[].domain.whois.registrant.email` | null |
| `results[].domain.whois.name_servers` | array<string> |
| `results[].domain.whois.domain_status` | array<string> |
| `results[].domain.whois.whois_server` | string \| null |
| `results[].domain.whois.check_date` | string |
| `results[].domain.whois_normalized` | object |
| `results[].domain.whois_normalized.registrant` | null |
| `results[].domain.whois_last_check_date` | string |
| `results[].domain.whois_create_date_historical` | array<string> |
| `results[].domain.whois_last_change_date` | string |
| `results[].domain.whois_registrant_email_historical` | array<string> |
| `results[].domain.whois_privacy_enabled` | null |
| `results[].domain.dns` | object |
| `results[].domain.dns.a` | object |
| `results[].domain.dns.a.update_date` | string |
| `results[].domain.dns.a.ip_addresses` | array<string> |
| `results[].domain.dns_last_change_date` | string |
| `results[].domain.ip_history` | array<string> |
| `results[].domain.ssl` | object |
| `results[].domain.ssl.validity` | object |
| `results[].domain.ssl.validity.start_date` | string |
| `results[].domain.ssl.validity.end_date` | string |
| `results[].domain.ssl.serial_number` | string |
| `results[].domain.ssl.check_date` | string |
| `results[].domain.ssl_last_change_date` | string |
| `results[].type` | number |
| `results[].subdomain_level_count` | number |
| `results[].dns` | object |
| `results[].dns.a` | object |
| `results[].dns.a.update_date` | string |
| `results[].dns.a.ip_addresses` | array<string> |
| `results[].dns.aaaa` | object |
| `results[].dns.aaaa.update_date` | string |
| `results[].dns.aaaa.ip_addresses` | array<string> |
| `results[].dns.ns` | object |
| `results[].dns.ns.update_date` | string |
| `results[].dns.ns.name_servers` | array<string> |
| `results[].dns.mx` | object |
| `results[].dns.mx.update_date` | string |
| `results[].dns.mx.mail_servers` | array<string> |
| `results[].dns.soa` | object |
| `results[].dns.soa.update_date` | string |
| `results[].dns.soa.mnames` | array<string> |
| `results[].dns.soa.rnames` | array<string> |
| `results[].dns.soa.rname_emails` | array<string> |
| `results[].dns.txt` | object |
| `results[].dns.txt.update_date` | string |
| `results[].dns.txt.values` | array<string> |
| `results[].dns.cname` | object |
| `results[].dns.cname.update_date` | string |
| `results[].dns.cname.values` | array |
| `results[].dns.others` | array |
| `results[].dns_last_change_date` | string |
| `results[].ip_history` | array<string> |
| `results[].ssl` | object |
| `results[].ssl.tags` | array<string> |
| `results[].ssl.fqdns` | array<string> |
| `results[].ssl.version` | number |
| `results[].ssl.serial_number` | string |
| `results[].ssl.fingerprint` | object |
| `results[].ssl.fingerprint.sha256` | string |
| `results[].ssl.fingerprint.sha1` | string |
| `results[].ssl.fingerprint.md5` | string |
| `results[].ssl.validity` | object |
| `results[].ssl.validity.start_date` | string |
| `results[].ssl.validity.end_date` | string |
| `results[].ssl.validity.length` | number |
| `results[].ssl.signature` | object |
| `results[].ssl.signature.is_self_signed` | boolean |
| `results[].ssl.signature.is_valid` | boolean |
| `results[].ssl.signature.value` | string |
| `results[].ssl.signature.algorithm` | object |
| `results[].ssl.signature.algorithm.oid` | string |
| `results[].ssl.signature.algorithm.name` | string |
| `results[].ssl.issuer_dn` | string |
| `results[].ssl.issuer` | object |
| `results[].ssl.issuer.common_name` | string |
| `results[].ssl.issuer.country` | string |
| `results[].ssl.issuer.state` | null |
| `results[].ssl.issuer.locality` | null |
| `results[].ssl.issuer.organization` | string |
| `results[].ssl.issuer.organizational_unit` | null |
| `results[].ssl.subject_dn` | string |
| `results[].ssl.subject` | object |
| `results[].ssl.subject.common_name` | string |
| `results[].ssl.subject.country` | null |
| `results[].ssl.subject.state` | null |
| `results[].ssl.subject.locality` | null |
| `results[].ssl.subject.organization` | null |
| `results[].ssl.subject.organizational_unit` | null |
| `results[].ssl.extensions` | object |
| `results[].ssl.extensions.authority_key_id` | string |
| `results[].ssl.extensions.basic_constraints` | object |
| `results[].ssl.extensions.basic_constraints.is_ca` | boolean |
| `results[].ssl.extensions.certificate_policies` | array<string> |
| `results[].ssl.extensions.extended_key_usage` | object |
| `results[].ssl.extensions.extended_key_usage.client_auth` | null |
| `results[].ssl.extensions.extended_key_usage.server_auth` | boolean |
| `results[].ssl.extensions.key_usage` | object |
| `results[].ssl.extensions.key_usage.digital_signature` | boolean |
| `results[].ssl.extensions.key_usage.content_commitment` | boolean |
| `results[].ssl.extensions.key_usage.key_agreement` | boolean |
| `results[].ssl.extensions.key_usage.data_encipherment` | boolean |
| `results[].ssl.extensions.key_usage.key_encipherment` | boolean |
| `results[].ssl.extensions.key_usage.key_cert_sign` | boolean |
| `results[].ssl.extensions.key_usage.crl_sign` | boolean |
| `results[].ssl.extensions.signed_certificate_timestamps` | array<string> |
| `results[].ssl.extensions.subject_alt_name` | object |
| `results[].ssl.extensions.subject_alt_name.dns_names` | array<string> |
| `results[].ssl.extensions.subject_key_id` | string |
| `results[].ssl.check_date` | string |
| `results[].ssl_last_change_date` | string |
| `results[].webdata` | object |
| `results[].webdata.connection_status` | string |
| `results[].webdata.html` | object |
| `results[].webdata.html.source_code_hash` | string |
| `results[].webdata.http` | object |
| `results[].webdata.http.status_code_first` | number |
| `results[].webdata.http.status_code_last` | number |
| `results[].webdata.http.redirection_history` | array<object> |
| `results[].webdata.http.redirection_history[].url` | string |
| `results[].webdata.http.redirection_history[].status_code` | number |
| `results[].webdata.http.external_redirection` | boolean |
| `results[].webdata.http.final_url` | string |
| `results[].webdata.http.final_fqdn` | string |
| `results[].webdata.http.final_domain` | string |
| `results[].webdata.http.headers` | object |
| `results[].webdata.http.headers.others` | array<object> |
| `results[].webdata.http.headers.others[].name` | string |
| `results[].webdata.http.headers.others[].value` | string |
| `results[].webdata.http.headers.access_control_allow_headers` | null |
| `results[].webdata.http.headers.access_control_allow_methods` | null |
| `results[].webdata.http.headers.access_control_allow_origin` | null |
| `results[].webdata.http.headers.cache_control` | string \| null |
| `results[].webdata.http.headers.clear_site_data` | null |
| `results[].webdata.http.headers.content_encoding` | string |
| `results[].webdata.http.headers.content_security_policy` | null |
| `results[].webdata.http.headers.content_type` | string |
| `results[].webdata.http.headers.cross_origin_embedder_policy` | null |
| `results[].webdata.http.headers.cross_origin_opener_policy` | null |
| `results[].webdata.http.headers.cross_origin_resource_policy` | null |
| `results[].webdata.http.headers.expect_ct` | null |
| `results[].webdata.http.headers.feature_policy` | null |
| `results[].webdata.http.headers.last_modified` | string \| null |
| `results[].webdata.http.headers.permission_policy` | null |
| `results[].webdata.http.headers.referrer_policy` | string \| null |
| `results[].webdata.http.headers.server` | string |
| `results[].webdata.http.headers.set_cookie` | null |
| `results[].webdata.http.headers.strict_transport_security` | string \| null |
| `results[].webdata.http.headers.x_content_type_options` | string \| null |
| `results[].webdata.http.headers.x_download_options` | null |
| `results[].webdata.http.headers.x_frame_options` | null |
| `results[].webdata.http.headers.x_permitted_cross_domain_policies` | null |
| `results[].webdata.http.headers.x_powered_by` | string |
| `results[].webdata.http.headers.x_xss_protection` | string \| null |
| `results[].webdata.http.cookies` | array |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/discovery/reverse-ip?ip=104.26.10.21&page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 190,
  "results": [
    {
      "punycode": "d-cor.no",
      "unicode": "d-cor.no",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "d-cor",
        "unicode": "d-cor",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 5,
        "lang": "pt",
        "keywords": [
          "cor"
        ],
        "keyword_count": 1,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "d-cor.no",
        "unicode": "d-cor.no",
        "is_idn": false,
        "name": {
          "punycode": "d-cor",
          "unicode": "d-cor",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": true,
          "length": 5,
          "lang": "pt",
          "keywords": [
            "cor"
          ],
          "keyword_count": 1
        },
        "extension": {
          "punycode": "no",
          "unicode": "no",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "no",
          "unicode": "no",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 2,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2021-01-22T00:00:00Z",
          "update_date": "2026-01-22T00:00:00Z",
          "expiry_date": null,
          "registrar": null,
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [],
          "domain_status": [],
          "whois_server": null,
          "check_date": "2026-07-13T14:01:14Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-07-13T14:01:14Z",
        "whois_create_date_historical": [
          "2017-03-20T00:00:00Z",
          "2021-01-22T00:00:00Z"
        ],
        "whois_last_change_date": "2026-07-13T14:01:35Z",
        "whois_registrant_email_historical": [],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-12T05:34:34Z",
            "ip_addresses": [
              "104.26.10.21",
              "104.26.11.21"
            ]
          }
        },
        "dns_last_change_date": "2026-09-12T05:37:29Z",
        "ip_history": [
          "104.26.0.108",
          "104.26.1.108"
        ],
        "ssl": {
          "validity": {
            "start_date": "2026-08-14T01:11:03Z",
            "end_date": "2026-11-12T02:10:59Z"
          },
          "serial_number": "113970497646752877974860594996205231179",
          "check_date": "2026-09-14T17:16:11Z"
        },
        "ssl_last_change_date": "2026-09-14T17:19:15Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-12T05:34:34Z",
          "ip_addresses": [
            "104.26.10.21",
            "104.26.11.21"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-12T05:34:34Z",
          "ip_addresses": [
            "2606:4700:20::681a:a15",
            "2606:4700:20::681a:b15"
          ]
        },
        "ns": {
          "update_date": "2026-09-12T05:34:34Z",
          "name_servers": [
            "earl.ns.cloudflare.com",
            "jamie.ns.cloudflare.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-12T05:34:34Z",
          "mail_servers": [
            "mail.d-cor.no",
            "mailcluster.loopia.se"
          ]
        },
        "soa": {
          "update_date": "2026-09-12T05:34:34Z",
          "mnames": [
            "earl.ns.cloudflare.com"
          ],
          "rnames": [
            "dns.cloudflare.com"
          ],
          "rname_emails": [
            "user@cloudflare.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-12T05:34:34Z",
          "values": [
            "\"google-site-verification=K_BbRCIOS7z3nkrd0mz3WYHNFJeEuYci9kDRIIfK2ec\"",
            "\"google-site-verification=M1FEzXb0paSR8ANw7zFQVb9V56NhDNO4ZjRAMeBapTg\""
          ]
        },
        "cname": {
          "update_date": "2026-09-12T05:34:34Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-12T05:37:27Z",
      "ip_history": [
        "104.26.0.108",
        "104.26.1.108"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "d-cor.no"
        ],
        "version": 3,
        "serial_number": "113970497646752877974860594996205231179",
        "fingerprint": {
          "sha256": "feaba3b9f371658a66903f012ef936d2a59c096be99fe306331f024103f95ed8",
          "sha1": "04de2d38fc1b37557a841776ee1217bc827fefd1",
          "md5": "8e01d215dfe615fe6057f65591635316"
        },
        "validity": {
          "start_date": "2026-08-14T01:11:03Z",
          "end_date": "2026-11-12T02:10:59Z",
          "length": 7779596
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "MEUCIQCtSVURq59BV+N/9YiWFHqlyaN44Xym8FImxmzlL/Oe/wIgaqxSqIIiXHj6a5PFlWLSmhPIzXBnKABD6P8rmNZRBLk=",
          "algorithm": {
            "oid": "1.2.840.10045.4.3.2",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=WE1,O=Google Trust Services,C=US",
        "issuer": {
          "common_name": "WE1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Google Trust Services",
          "organizational_unit": null
        },
        "subject_dn": "CN=d-cor.no",
        "subject": {
          "common_name": "d-cor.no",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "kHeSNWfE/6jMqeZ72YB5e8yT+Tg=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": false,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-08-14T02:11:04Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "d-cor.no",
              "*.d-cor.no"
            ]
          },
          "subject_key_id": "9/ozqdbmoCbzaHddy/8b9MNN11c="
        },
        "check_date": "2026-09-14T17:16:11Z"
      },
      "ssl_last_change_date": "2026-09-14T17:19:14Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "e570e60811826c105c9c84f07e360d78d4f06da2f5afc552442d0a649ee5073a"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://d-cor.no/",
              "status_code": 301
            },
            {
              "url": "https://d-cor.no/",
              "status_code": 301
            }
          ],
          "external_redirection": false,
          "final_url": "https://www.d-cor.no/",
          "final_fqdn": "www.d-cor.no",
          "final_domain": "d-cor.no",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Sat, 25 Jul 2026 03:46:07 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": "public, max-age=0, must-revalidate",
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html; charset=utf-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": null,
            "permission_policy": null,
            "referrer_policy": "strict-origin-when-cross-origin",
            "server": "cloudflare",
            "set_cookie": null,
            "strict_transport_security": "max-age=63072000; includeSubDomains; preload",
            "x_content_type_options": "nosniff",
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": "Next.js",
            "x_xss_protection": "1; mode=block"
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "laportelatine.org",
      "unicode": "laportelatine.org",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "laportelatine",
        "unicode": "laportelatine",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 13,
        "lang": "fr",
        "keywords": [
          "laporte",
          "latine"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "laportelatine.org",
        "unicode": "laportelatine.org",
        "is_idn": false,
        "name": {
          "punycode": "laportelatine",
          "unicode": "laportelatine",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 13,
          "lang": "fr",
          "keywords": [
            "laporte",
            "latine"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "org",
          "unicode": "org",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "org",
          "unicode": "org",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2003-05-13T16:43:49Z",
          "update_date": "2026-06-27T16:44:17Z",
          "expiry_date": "2027-05-13T16:43:49Z",
          "registrar": "ovh sas",
          "registrant": {
            "name": null,
            "organization": null,
            "street": null,
            "city": null,
            "state": null,
            "postal_code": null,
            "country": null,
            "phone": null,
            "email": null
          },
          "name_servers": [
            "kate.ns.cloudflare.com",
            "tom.ns.cloudflare.com"
          ],
          "domain_status": [
            "clientdeleteprohibited",
            "clienttransferprohibited"
          ],
          "whois_server": "http://whois.ovh.com",
          "check_date": "2026-06-28T12:26:25Z"
        },
        "whois_normalized": {
          "registrant": null
        },
        "whois_last_check_date": "2026-06-28T12:26:25Z",
        "whois_create_date_historical": [
          "2003-05-13T16:43:49Z"
        ],
        "whois_last_change_date": "2026-06-28T12:26:29Z",
        "whois_registrant_email_historical": [
          "user@g.o-w-o.info",
          "please query the rdds service of the registrar of record identified in this output for information on how to contact the registrant, admin, or tech contact of the queried domain name."
        ],
        "whois_privacy_enabled": null,
        "dns": {
          "a": {
            "update_date": "2026-09-14T14:23:14Z",
            "ip_addresses": [
              "104.26.10.21",
              "104.26.11.21"
            ]
          }
        },
        "dns_last_change_date": "2026-09-14T14:39:39Z",
        "ip_history": [
          "178.32.118.26",
          "141.94.200.123"
        ],
        "ssl": {
          "validity": {
            "start_date": "2026-06-28T23:20:05Z",
            "end_date": "2026-09-27T00:18:26Z"
          },
          "serial_number": "270442818761715325900368535862718134106",
          "check_date": "2026-07-28T09:02:33Z"
        },
        "ssl_last_change_date": "2026-07-28T09:05:15Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-14T14:23:14Z",
          "ip_addresses": [
            "104.26.10.21",
            "104.26.11.21"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-14T14:23:14Z",
          "ip_addresses": [
            "2606:4700:20::681a:a15",
            "2606:4700:20::681a:b15"
          ]
        },
        "ns": {
          "update_date": "2026-09-14T14:23:14Z",
          "name_servers": [
            "kate.ns.cloudflare.com",
            "tom.ns.cloudflare.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-14T14:23:14Z",
          "mail_servers": [
            "mx0.mail.ovh.net",
            "mx1.mail.ovh.net"
          ]
        },
        "soa": {
          "update_date": "2026-09-14T14:23:14Z",
          "mnames": [
            "kate.ns.cloudflare.com"
          ],
          "rnames": [
            "dns.cloudflare.com"
          ],
          "rname_emails": [
            "user@cloudflare.com"
          ]
        },
        "txt": {
          "update_date": "2026-09-14T14:23:14Z",
          "values": [
            "\"1|www.laportelatine.org\"",
            "\"MS=ms96455304\""
          ]
        },
        "cname": {
          "update_date": "2026-09-14T14:23:14Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-14T14:39:36Z",
      "ip_history": [
        "178.32.118.26",
        "141.94.200.123"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "laportelatine.org"
        ],
        "version": 3,
        "serial_number": "270442818761715325900368535862718134106",
        "fingerprint": {
          "sha256": "952814877ad2a51e5979260a2b4608ec1e6a91046b11a9a676b70c676123c64a",
          "sha1": "09cd1005d965a9c7a5413937a1ca310860534940",
          "md5": "ffb8def4eab1af28317ac6a84f2f3d53"
        },
        "validity": {
          "start_date": "2026-06-28T23:20:05Z",
          "end_date": "2026-09-27T00:18:26Z",
          "length": 7779501
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": true,
          "value": "MEQCICWWMO6Fav1rRJVIZzLN9oYwIggc2hhpvyh8PVLBIFzyAiAEyfQ967ypZ6r7Eqn5rV/pKgSfBiIe99il9ydYrzYYTg==",
          "algorithm": {
            "oid": "1.2.840.10045.4.3.2",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=WE1,O=Google Trust Services,C=US",
        "issuer": {
          "common_name": "WE1",
          "country": "US",
          "state": null,
          "locality": null,
          "organization": "Google Trust Services",
          "organizational_unit": null
        },
        "subject_dn": "CN=laportelatine.org",
        "subject": {
          "common_name": "laportelatine.org",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "kHeSNWfE/6jMqeZ72YB5e8yT+Tg=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": false,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-06-29T00:20:06Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "laportelatine.org",
              "*.laportelatine.org"
            ]
          },
          "subject_key_id": "6C5AFzIsXMgZpY/h43Z/tSIxmcw="
        },
        "check_date": "2026-07-28T09:02:33Z"
      },
      "ssl_last_change_date": "2026-07-28T09:05:12Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "d4489ad8e91c217fb262b33ee12e957062cb5e470b284340824003abf833a0ee"
        },
        "http": {
          "status_code_first": 301,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://laportelatine.org/",
              "status_code": 301
            },
            {
              "url": "https://laportelatine.org/",
              "status_code": 200
            }
          ],
          "external_redirection": false,
          "final_url": "https://laportelatine.org/",
          "final_fqdn": "laportelatine.org",
          "final_domain": "laportelatine.org",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Sat, 04 Jul 2026 14:38:40 GMT"
              },
              {
                "name": "transfer_encoding",
                "value": "chunked"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html; charset=UTF-8",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Sat, 04 Jul 2026 14:38:21 GMT",
            "permission_policy": null,
            "referrer_policy": null,
            "server": "cloudflare",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": "PleskLin",
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    }
  ]
}
```

### 400 · Invalid Parameter (invalid export=notabool)

```bash
curl 'https://api.deepinfo.com/v1/discovery/reverse-ip?export=notabool&ip=8.8.8.8' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "export",
      "details": [
        "Must be a valid boolean."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```

## Worked Examples

Worked examples of this endpoint, each on its own page with the exact request and its response: [Reverse IP Examples](/reference/discovery/reverse-ip/examples/).

- [Domains on One IP Address](/reference/discovery/reverse-ip/examples/ip-address/): The domains whose A record points to 104.26.10.21: 190 on the day of capture, each with the address in `dns.a.ip_addresses`.
- [Domains in the Same /24 Network](/reference/discovery/reverse-ip/examples/mask-24/): Widens the lookup to the /24 network of 104.26.10.21 (104.26.10.0–104.26.10.255): 43,349 domains instead of 190.
- [Including Subdomains](/reference/discovery/reverse-ip/examples/include-subdomains/): Adds subdomains that point to 104.26.10.21 to the registrable domains: 3,003 records instead of 190.
